- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - c -

- CAP_BUTT : geos::operation::buffer::BufferOp
- CAP_ROUND : geos::operation::buffer::BufferOp
- CAP_SQUARE : geos::operation::buffer::BufferOp
- centre() : geos::geom::Envelope
- checkValid() : geos::noding::FastNodingValidator
- clone() : geos::geom::Geometry , geos::geom::Polygon , geos::geom::GeometryCollection , geos::geom::LinearRing , geos::geom::LineString , geos::geom::CoordinateArraySequence , geos::geom::MultiLineString , geos::geom::MultiPoint , geos::geom::CoordinateSequence , geos::geom::MultiPolygon , geos::geom::Point
- closestLocations() : geos::operation::distance::DistanceOp
- closestPoint() : geos::geom::LineSegment
- closestPoints() : geos::geom::LineSegment , geos::operation::distance::DistanceOp
- collectBoundaryTouchEdge() : geos::operation::overlay::LineBuilder
- collectLineEdge() : geos::operation::overlay::LineBuilder
- CommonBitsOp() : geos::precision::CommonBitsOp
- compareDirection() : geos::geomgraph::EdgeEnd , geos::planargraph::DirectedEdge
- compareTo() : geos::operation::buffer::BufferSubgraph , geos::planargraph::DirectedEdge , geos::geom::Coordinate , geos::geom::LineSegment , geos::geom::PrecisionModel , geos::noding::SegmentNode
- computeDepths() : geos::geomgraph::DirectedEdgeStar
- computeEdgeDistance() : geos::algorithm::LineIntersector
- computeIntersection() : geos::algorithm::LineIntersector
- computeLabelling() : geos::geomgraph::DirectedEdgeStar
- computeNodes() : geos::noding::IteratedNoder , geos::noding::MCIndexNoder , geos::noding::Noder , geos::noding::ScaledNoder , geos::noding::SimpleNoder , geos::noding::SinglePassNoder , geos::noding::snapround::MCIndexSnapRounder , geos::noding::snapround::SimpleSnapRounder
- computeOrientation() : geos::algorithm::CGAlgorithms
- computeOverlaySnapTolerance() : geos::precision::GeometrySnapper
- computeResultPrecision() : geos::precision::CommonBitsOp
- computeVertexSnaps() : geos::noding::snapround::MCIndexSnapRounder , geos::noding::snapround::SimpleSnapRounder
- ConsistentAreaTester() : geos::operation::valid::ConsistentAreaTester
- ConstSet : geos::geom::Coordinate , geos::planargraph::Edge
- ConstStack : geos::geom::Coordinate
- ConstVect : geos::geom::Coordinate , geos::geom::Geometry , geos::geom::LineString , geos::geom::Point , geos::geom::Polygon , geos::planargraph::Edge
- contains() : geos::geom::Envelope , geos::geom::Geometry , geos::planargraph::Subgraph , geos::geom::Envelope
- containsPoint() : geos::operation::overlay::PolygonBuilder
- ConvexHull() : geos::algorithm::ConvexHull
- convexHull() : geos::geom::Geometry , geos::geom::Polygon
- coord : geos::noding::SegmentNode
- CoordinateArrayFilter() : geos::util::CoordinateArrayFilter
- CoordinateArraySequence() : geos::geom::CoordinateArraySequence
- coveredBy() : geos::geom::Geometry
- covers() : geos::geom::Geometry
- create() : geos::geom::GeometryList , geos::geom::CoordinateArraySequenceFactory , geos::geom::CoordinateSequenceFactory , geos::operation::buffer::BufferSubgraph , geos::geom::CoordinateArraySequenceFactory
- createArc() : geos::util::GeometricShapeFactory
- createCircle() : geos::util::GeometricShapeFactory
- createCoordinateSequence() : geos::geom::util::GeometryTransformer
- createEmptyGeometry() : geos::geom::GeometryFactory
- createGeometry() : geos::geom::GeometryFactory
- createGeometryCollection() : geos::geom::GeometryFactory
- createLinearRing() : geos::geom::GeometryFactory
- createLineString() : geos::geom::GeometryFactory
- createMultiLineString() : geos::geom::GeometryFactory
- createMultiPoint() : geos::geom::GeometryFactory
- createMultiPolygon() : geos::geom::GeometryFactory
- createParentBoundables() : geos::index::strtree::SIRtree , geos::index::strtree::AbstractSTRtree
- createPoint() : geos::geom::GeometryFactory
- createPolygon() : geos::geom::GeometryFactory
- createRectangle() : geos::util::GeometricShapeFactory
- crosses() : geos::geom::Geometry